dots.v2.dedicatedInferences.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.dedicatedInferences.get(requestConfiguration?: RequestConfiguration<DedicatedInferencesRequestBuilderGetQueryParameters>): Promise<undefined | DedicatedInferencesGetResponse>

Description

List all Dedicated Inference instances for your team. Send a GET request to /v2/dedicated-inferences. You may filter by region and use page and per_page for pagination.

Parameters

perPage integer optional

Example: 2

Number of items returned per page

Default: 20

Min: 1

Max: 200

page integer optional

Example: 1

Which 'page' of paginated results to return.

Default: 1

Min: 1

region string optional

Filter by region. Dedicated Inference is only available in nyc2, tor1, and atl1.

One of: nyc2, tor1, atl1

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.dedicatedInferences.get();

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:

let response = await client.v2.dedicatedInferences.get();
let pages = response?.links?.pages;

while (pages && "next" in pages && typeof pages.next === "string") {
    const page = Number(new URL(pages.next).searchParams.get("page"));
    response = await client.v2.dedicatedInferences.get({
        queryParameters: {
            page,
        },
    });
    pages = response?.links?.pages;
}

Response Example

Show Response Example
{
  "dedicated_inferences": [
    {
      "id": "6b5c619c-359c-44ca-87e2-47e98170c01d",
      "status": "active",
      "region": "atl1",
      "vpc_uuid": "997615ce-132d-4bae-9270-9ee21b395e5d",
      "endpoints": {
        "public_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.ai",
        "private_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.ai"
      },
      "created_at": "2024-01-09T20:44:32Z",
      "updated_at": "2024-01-09T20:44:32Z"
    }
  ],
  "links": {
    "pages": {
      "first": "https://api.digitalocean.com/v2/dedicated-inferences?page=1&per_page=20",
      "last": "https://api.digitalocean.com/v2/dedicated-inferences?page=1&per_page=20"
    }
  },
  "meta": {
    "total": 1
  }
}

More Information

See /v2/dedicated-inferences in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.